Bug 244936 (cmake-3.17.0) - [exp-run] Update cmake to 3.17.1
Summary: [exp-run] Update cmake to 3.17.1
Status: Closed FIXED
Alias: cmake-3.17.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-20 19:33 UTC by Tobias C. Berner
Modified: 2020-04-13 12:27 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (16.19 KB, patch)
2020-03-20 19:33 UTC, Tobias C. Berner
no flags Details | Diff
v2 (16.52 KB, patch)
2020-04-04 19:53 UTC, Tobias C. Berner
no flags Details | Diff
v3 (16.52 KB, patch)
2020-04-10 07:18 UTC, Tobias C. Berner
no flags Details | Diff
v4 (1.61 KB, patch)
2020-04-11 10:59 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-03-20 19:33:33 UTC
Created attachment 212552 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade cmake to 3.17.0. 

The patch is attached, an can also be found here:
https://people.freebsd.org/~tcberner/patches/cmake-3.17.0.v1.diff


mfg Tobias
Comment 2 Adriaan de Groot freebsd_committer 2020-04-04 18:42:12 UTC
 - vapoursynth fixed with unrelated updates to that port.
 - musescore fixed in r530691.
 - kms-cmake-utils needs to exactly match the CMake version, so commit together with the cmake update.
 - torrent-file-editor has a trivial fix which i'll PR separately
 - elmerfem fixed upstream, committed in r530701
Comment 3 Tobias C. Berner freebsd_committer 2020-04-04 19:53:04 UTC
Created attachment 213070 [details]
v2

Attached is the updated diff which includes the fix to devel/kms-cmake-utils:

https://people.freebsd.org/~tcberner/patches/cmake-3.17.0.v2.diff
Comment 4 Tobias C. Berner freebsd_committer 2020-04-10 07:18:56 UTC
Created attachment 213242 [details]
v3

Moin moin 

In the meantime 3.17.1 has been released. New patch:
https://people.freebsd.org/~tcberner/patches/cmake-3.17.1.v3.diff

mfg Tobias
Comment 5 Antoine Brodin freebsd_committer 2020-04-10 20:08:02 UTC
Exp-run looks fine for version 3.17.0
Comment 6 commit-hook freebsd_committer 2020-04-11 05:54:13 UTC
A commit references this bug:

Author: tcberner
Date: Sat Apr 11 05:53:19 UTC 2020
New revision: 531399
URL: https://svnweb.freebsd.org/changeset/ports/531399

Log:
  devel/cmake: update to 3.17.0

  Thanks to adridg for fixing the fallouts.

  PR:		244936
  Exp-run by:	antoine

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
  head/devel/kms-cmake-utils/Makefile
Comment 7 Tobias C. Berner freebsd_committer 2020-04-11 10:58:51 UTC
Antoine, I attached a new patch for the upgrade to 3.17.1:

https://people.freebsd.org/~tcberner/patches/cmake-3.17.1.v4.diff


Let me know if I should go on without an exp-run for this change.


mfg Tobias
Comment 8 Tobias C. Berner freebsd_committer 2020-04-11 10:59:12 UTC
Created attachment 213277 [details]
v4
Comment 9 Antoine Brodin freebsd_committer 2020-04-13 07:14:21 UTC
Exp-run looks fine
Comment 10 commit-hook freebsd_committer 2020-04-13 12:27:33 UTC
A commit references this bug:

Author: tcberner
Date: Mon Apr 13 12:27:27 UTC 2020
New revision: 531600
URL: https://svnweb.freebsd.org/changeset/ports/531600

Log:
  devel/cmake: update to 3.17.1

  PR:		244936
  Exp-run by:	antoine

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake-doc/Makefile
  head/devel/cmake-gui/Makefile
Comment 11 Tobias C. Berner freebsd_committer 2020-04-13 12:27:40 UTC
Committed. Thanks for the exp-run.